Bug 1031711 - init_sec_context fails on non yet established contexts
init_sec_context fails on non yet established contexts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gssproxy (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Simo Sorce
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 10:22 EST by Dmitri Pal
Modified: 2014-06-18 01:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: gssproxy-0.3.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 04:18:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-11-18 10:22:51 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/gss-proxy/ticket/108

We unconditionally fail when trying to export the context if the context is not fully established yet.

In this case we should not fail but continue until the context is established.
Comment 1 Guenther Deschner 2013-11-19 09:03:15 EST
Fix pushed.
Comment 3 Yin.JianHong 2014-03-12 00:28:25 EDT
test with nfs OK, sanityOnly
Comment 4 Ludek Smid 2014-06-16 04:18:39 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.